Bug 51007 - [PATCH] RTF tables do not support percent column-widths
[PATCH] RTF tables do not support percent column-widths
Status: RESOLVED FIXED
Product: Fop - Now in Jira
Classification: Unclassified
Component: rtf
1.0
PC Windows XP
: P3 normal
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-04-01 10:14 UTC by Max Aster
Modified: 2012-04-08 00:27 UTC (History)
0 users



Attachments
Column widths are not considered correctly (3.62 KB, application/msword)
2011-04-01 10:14 UTC, Max Aster
Details
The test FO file (2.69 KB, application/octet-stream)
2011-04-01 10:15 UTC, Max Aster
Details
Patch proposal (1.68 KB, patch)
2011-04-01 10:17 UTC, Max Aster
Details | Diff
Result of the table.fo with patched version (3.67 KB, application/msword)
2011-04-01 10:18 UTC, Max Aster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Aster 2011-04-01 10:14:59 UTC
Created attachment 26823 [details]
Column widths are not considered correctly

table columns do now support a column width defined with proportional-column-width (See bug 43824) but no direct percent values.
Comment 1 Max Aster 2011-04-01 10:15:54 UTC
Created attachment 26824 [details]
The test FO file
Comment 2 Max Aster 2011-04-01 10:17:10 UTC
Created attachment 26825 [details]
Patch proposal
Comment 3 Max Aster 2011-04-01 10:18:11 UTC
Created attachment 26826 [details]
Result of the table.fo with patched version
Comment 4 Glenn Adams 2012-04-07 01:41:20 UTC
resetting P2 open bugs to P3 pending further review
Comment 5 Glenn Adams 2012-04-08 00:27:21 UTC
patch landed at http://svn.apache.org/viewvc?view=revision&revision=1310926

thanks max!